FASTDDSGEN(1)

NAME
fastddsgen - IDL source code generator

SYNOPSIS
fastddsgen [options] FILE.idl [FILE.idl ...]

DESCRIPTION
fastddsgen is a command line tool that generates eProsima Fast DDS source code using the data types defined in an IDL (Interface Definition Language) file. This generated source code can be used in any Fast DDS application in order to define the data type of a topic, which will later be used to publish or subscribe.

To declare the structured data, the IDL format must be used. IDL is a specification language, made by OMG (Object Management Group), which describes an interface in a language independent manner, allowing communication between software components that do not share the same language. The eProsima Fast DDS-Gen tool reads the IDL files and parses a subset of the OMG IDL specification to generate source code for data serialization. This subset includes the data type descriptions included in Defining a data type via IDL. The rest of the file content is ignored.

OPTIONS
-help shows the help information

-version
    shows the current version of fastddsgen.

-d DIR
    write generated files to DIR.

-I DIR
    add DIR to the preprocessor include path.

-t DIR
    use DIR as temporary directory

-example PLATFORM
    generate an example to compile the generated files for a specific platform.

-test
    add a serialization test to the generated example code

-language LANG
    select programming language (default: C++)

-replace
    overwrite existing output files.

-ppDisable
    disable the preprocessor.

-ppPath CPP
    use CPP as preprocessor executable.

-typeros2
    name generated types compliant to ROS 2 conventions.

-typeobject
    generate TypeObject files for the IDL and modify the generated constructor to register the TypeObject representation into the type factory.

-cs apply case-sensitive matching to IDL grammar.

SEE ALSO
https://fast-dds.docs.eprosima.com/en/latest/fastddsgen

AUTHOR
FastDDS is developed by Proyectos y Sistemas de Mantenimiento SL (eProsima). This manual page was written for Debian by Timo Röhling.